/*
* $Log: features.h,v $
* Revision 1.3  2004/01/22 20:07:01  richq
* Moved map out of ROM and out of this module!
*
* Revision 1.2  2004/01/21 19:01:02  Default
* defined terrain types. moved location typedef to location.h
*
* Revision 1.1.1.1  2004/01/17 09:32:34  Default
* Lords Of Midnight GBA
*
*
*/
#ifndef FEATURES_H
#define FEATURES_H

#define MOUNTAIN  0x0
#define CITADEL   0x1
#define FOREST    0x2
#define HENGE     0x3
#define TOWER     0x4
#define VILLAGE   0x5
#define DOWNS     0x6
#define KEEP      0x7
#define SNOWHALL  0x8
#define LAKE      0x9
#define WASTES    0xa
#define RUIN      0xb
#define LITH      0xc
#define CAVERN    0xd
#define ARMY      0xe
#define PLAIN     0xf


#define featureData _binary_terrgfx_bin_start
extern u8 featureData[];



void drawPanorama(int dir);
void drawFeature(int feature, int size, int xi, int yi);


#endif

